const blocks = (extFacePanels) => ([{
        "opcode": "BLOCK_1608706399082",
        "blockType": "command",
        "checkboxInFlyout": false,
        "gap": 12,
        "arguments": {
            "DHT_TYPE": {
                "type": "fieldMenu",
                "defaultValue": "Select Type",
                "menu": "BLOCK_1608706399082_DHT_TYPE"
            },
            "DHT_PIN": {
                "type": "fieldMenu",
                "defaultValue": "Select PIN",
                "menu": "BLOCK_1608706399082_DHT_PIN"
            }
        },
        "branchCount": 0,
        "codes": {
            "arduinoc": {
                "sections": {
                    "include": [
                        "\"DHT/DHT.h\""
                    ],
                    "declare": `/********* DHT Declare ********/\r\n#define DHT_TYPE /*{DHT_TYPE}*/\r\n#define DHT_PIN /*{DHT_PIN}*/\r\n\r\nDHT dht(DHT_PIN, DHT_TYPE);\r`
                }
            }
        },
        "handler": this.funcs.BLOCK_1608706399082
    },
    {
        "opcode": "BLOCK_1608706950720",
        "blockType": "number",
        "checkboxInFlyout": false,
        "gap": 12,
        "arguments": {},
        "branchCount": 0,
        "codes": {
            "arduinoc": {
                "code": `dht.readTemperature()`
            }
        },
        "handler": this.funcs.BLOCK_1608706950720
    },
    {
        "opcode": "BLOCK_1608706967000",
        "blockType": "number",
        "checkboxInFlyout": false,
        "gap": 12,
        "arguments": {},
        "branchCount": 0,
        "codes": {
            "arduinoc": {
                "code": `dht.readHumidity()`
            }
        },
        "handler": this.funcs.BLOCK_1608706967000
    }
]);

export default blocks;